org.bouncycastle.asn1.tsp

## Class TSTInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.tsp.TSTInfo

All Implemented Interfaces:
  DEREncodable

    public class TSTInfo
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`TSTInfo(ASN1Sequence seq)`
`TSTInfo(DERObjectIdentifier tsaPolicyId, MessageImprint messageImprint, DERInteger serialNumber, DERGeneralizedTime genTime, Accuracy accuracy, DERBoolean ordering, DERInteger nonce, GeneralName tsa, X509Extensions extensions)`

### Method Summary

Methods
`Accuracy` `getAccuracy()`
`X509Extensions` `getExtensions()`
`DERGeneralizedTime` `getGenTime()`
`static TSTInfo` `getInstance(java.lang.Object o)`
`MessageImprint` `getMessageImprint()`
`DERInteger` `getNonce()`
`DERBoolean` `getOrdering()`
`DERObjectIdentifier` `getPolicy()`
`DERInteger` `getSerialNumber()`
`GeneralName` `getTsa()`
`DERObject` `toASN1Object()` TSTInfo ::= SEQUENCE { version INTEGER { v1(1) }, policy TSAPolicyId, messageImprint MessageImprint, -- MUST have the same value as the similar field in -- TimeStampReq serialNumber INTEGER, -- Time-Stamping users MUST be ready to accommodate integers -- up to 160 bits.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TSTInfo

    public TSTInfo(ASN1Sequence seq)

#### TSTInfo

    public TSTInfo(DERObjectIdentifier tsaPolicyId,
           MessageImprint messageImprint,
           DERInteger serialNumber,
           DERGeneralizedTime genTime,
           Accuracy accuracy,
           DERBoolean ordering,
           DERInteger nonce,
           GeneralName tsa,
           X509Extensions extensions)

### Method Detail

#### getInstance

    public static TSTInfo getInstance(java.lang.Object o)

#### getMessageImprint

    public MessageImprint getMessageImprint()

#### getPolicy

    public DERObjectIdentifier getPolicy()

#### getSerialNumber

    public DERInteger getSerialNumber()

#### getAccuracy

    public Accuracy getAccuracy()

#### getGenTime

    public DERGeneralizedTime getGenTime()

#### getOrdering

    public DERBoolean getOrdering()

#### getNonce

    public DERInteger getNonce()

#### getTsa

    public GeneralName getTsa()

#### getExtensions

    public X509Extensions getExtensions()

#### toASN1Object

    public DERObject toASN1Object()

         TSTInfo ::= SEQUENCE  {
            version                      INTEGER  { v1(1) },
            policy                       TSAPolicyId,
            messageImprint               MessageImprint,
              -- MUST have the same value as the similar field in
              -- TimeStampReq
            serialNumber                 INTEGER,
             -- Time-Stamping users MUST be ready to accommodate integers
             -- up to 160 bits.
            genTime                      GeneralizedTime,
            accuracy                     Accuracy                 OPTIONAL,
            ordering                     BOOLEAN             DEFAULT FALSE,
            nonce                        INTEGER                  OPTIONAL,
              -- MUST be present if the similar field was present
              -- in TimeStampReq.  In that case it MUST have the same value.
            tsa                          [0] GeneralName          OPTIONAL,
            extensions                   [1] IMPLICIT Extensions   OPTIONAL  }

Specified by:
  `toASN1Object` in class `ASN1Encodable`